AUDIT_GET_SESSION(3)

NAME
audit_get_session - Get a program's login session id value

SYNOPSIS
#include <libaudit.h>

uint32_t audit_get_session(void);

DESCRIPTION
This function returns the task's session id attribute.

RETURN VALUE
This function returns the session id value if it was set. It will return a -1 if the session id is unset. However, since uint32_t is an unsigned type, you will see the converted value instead of -1.

ERRORS
This function returns -2 on failure. Additionally, in the event of a real error, errno would be set. The function can set errno based on failures of open, read, or strtoul.

SEE ALSO
audit_getloginuid(3).

AUTHOR
Steve Grubb